#
# spec file for package prboom-plus
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           prboom-plus
Version:        2.5.1.4
Release:        0
Summary:        Open source port of the DOOM game engine
License:        GPL-2.0+
Group:          Amusements/Games/3D/Shoot
Url:            http://prboom-plus.sf.net/

#SVN-Clone:	https://svn.prboom.org/repos/branches/prboom-plus-24/prboom2
#DL-URL:	http://downloads.sf.net/prboom-plus/prboom-plus-2.5.1.4.tar.gz
Source:         %name-%version+.tar.xz
Source2:        clean_source.sh
Patch1:         prboom-nodatetime.diff
Patch2:         prboom-types1.diff
Patch3:         prboom-types2.diff
Patch5:         prboom-enable-tessellation.diff
Patch6:         prboom-hbar-color.diff
Patch7:         prboom-hbar-all.diff
Patch8:         prboom-hbar-gradient.diff
BuildRequires:  Mesa-devel
BuildRequires:  automake
BuildRequires:  bash-completion
BuildRequires:  fluidsynth-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  libSDL_image-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  libSDL_net-devel
BuildRequires:  libdumb-devel
BuildRequires:  libpng-devel
BuildRequires:  libvorbis-devel
BuildRequires:  pcre-devel
BuildRequires:  portmidi-devel
BuildRequires:  update-desktop-files
Suggests:       freedoom
Provides:       prboom = 2.5.0plus
Obsoletes:      prboom <= 2.5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PrBoom+ is a Doom source port developed from the original PrBoom
project, an open-source port of Doom, the classic 3D first-person
shooter game which outclassed any 3D world games that preceded
it, with amazing speed, flexibility, and outstanding gameplay.

prboom(-plus) focuses heavily on retaining compatibility with the
original Doom engines, which plays a big role in demo recording and
playback.

%prep
%setup -q
%patch -P 1 -P 2 -P 3 -P 5 -P 6 -P 7 -P 8 -p1

%build
# rpm has its own optimizations, so turn off shipped defaults
%configure --enable-gl --disable-cpu-opt --program-prefix="" \
	--with-waddir="%_datadir/doom" --disable-dogs
make %{?_smp_mflags}

%install
%make_install gamesdir="%_bindir"

# convenience symlink
ln -s prboom-plus "%buildroot/%_bindir/prboom"

install -Dm0644 ICONS/prboom-plus.svg "%buildroot/%_datadir/icons/hicolor/scalable/apps/prboom-plus.svg"
install -Dm0644 ICONS/prboom-plus.desktop "%buildroot/%_datadir/applications/prboom-plus.desktop"

install -Dm0644 ICONS/prboom-plus.bash "%buildroot/%_datadir/bash-completion/completions/prboom-plus.bash"

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%_bindir/*
%_datadir/doom/
%_datadir/doc/%name-%version/
%_mandir/*/*
%_datadir/applications/prboom-plus.desktop
%_datadir/icons/hicolor/scalable/apps/prboom-plus.svg
%_datadir/bash-completion/completions/*

%changelog
